
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class UpdateDialog extends StatelessWidget {
  UpdateDialog({
    @required this.title,
    @required this.content,
    @required this.onConfirm,
    this.mandatoryUpdate = false,
    this.confirm = 'Confirm',
    this.cancel = 'Postpone',
    this.onCancel,
  });

  final bool mandatoryUpdate;
  final String title;
  final String content;
  final String confirm;
  final String cancel;
  final Function onConfirm;
  final Function onCancel;

  @override
  Widget build(BuildContext context) {

    return CupertinoAlertDialog(
      title: Text(title),
      content: Padding(
        padding: EdgeInsets.only(top: 10),
        child: Text(
          content,
          textAlign: TextAlign.left,
          style: TextStyle(
            height: 1.5
          ),
        )
      ),
      actions: [
        Visibility(
          visible: !mandatoryUpdate,
          child: FlatButton(
            child: Text(
              cancel,
              style: TextStyle(
                color: Colors.grey
              ),
            ),
            onPressed: onCancel ?? () => Navigator.pop(context)
          )
        ),
        FlatButton(
          child: Text(
            confirm,
            style: TextStyle(
              fontWeight: FontWeight.bold,
              color: Colors.blue
            ),
          ),
          onPressed: (){
            Navigator.pop(context);
            if(onConfirm != null) onConfirm();
          }
        ),
      ],
    );
  }
}